/**********************************************************   

Title          : avr128 Lcd 20*4 line test
Version        : 1.0
Last updated   : 2008-11-18
Target         : ATMEGA128-16AU
System freq    : 16MHz(external clock)
File           : M128_V3_x_20x4.c
Author(s)      : Jong-Hyung Kim ( kimjh@avrmall.com )

HISTORY 

V1.0 2008.11.18
 - Created
 - lcd 20*4 temperature display

**********************************************************/

#include <mega128.h>
#include <delay.h>
#include "am_lcd.h"
#include "am_lcd.c"

#define debug1 
#define debug2 

void main(void)
{
     MCUCR=0xc0;
     #asm("sei");
     
     lcd_init();
     
     while(1)
     {
          #ifdef debug1
          ///////////////////////////
          //     AVR128 TEST       //
          //    Text lcd 20*4      //
          //                       //
          //   www.avrmall.com     //
          ///////////////////////////
          Gotoxy(5,0);
          _lcd_str("AVR128 TEST");
     
          Gotoxy(4,1);
          _lcd_str("Text lcd 20*4");

          Gotoxy(3,3);
          _lcd_str("www.avrmall.com");
          
          #ifdef debug2
          lcd_display_on();
		delay_ms(300);
		lcd_display_off();
		delay_ms(300);
		lcd_display_on();
		delay_ms(300);
          
          lcd_right_shift();
		lcd_right_shift();
		delay_ms(500);delay_ms(500);
	        	
		lcd_left_shift();
		lcd_left_shift(); 
		lcd_left_shift();
		lcd_left_shift();
		lcd_left_shift();
		delay_ms(500);
          
          lcd_right_shift();
          lcd_right_shift();
          lcd_right_shift();
          #endif
          #endif
     }
}